Debian Bug report logs - #553441
firmware-ralink: Firmware not working with usb dongle rt2870sta

version graph

Package: firmware-ralink; Maintainer for firmware-ralink is Debian Kernel Team <debian-kernel@lists.debian.org>; Source for firmware-ralink is src:firmware-nonfree.

Reported by: Dario Meloni <mellon85@gmail.com>

Date: Sat, 31 Oct 2009 11:21:02 UTC

Severity: normal

Found in version firmware-nonfree/0.21

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mellon85@gmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#553441; Package firmware-ralink. (Sat, 31 Oct 2009 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dario Meloni <mellon85@gmail.com>:
New Bug report received and forwarded. Copy sent to mellon85@gmail.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 31 Oct 2009 11:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dario Meloni <mellon85@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: firmware-ralink: Firmware not working with usb dongle rt2870sta
Date: Sat, 31 Oct 2009 11:59:19 +0100
Package: firmware-ralink
Version: 0.21
Severity: important

I am trying to use a usb wifi-n device from linksys with chipset rt2870sta but with the firmware i am having this output in dmesg

[  225.764045] usb 2-6: new high speed USB device using ehci_hcd and address 4
[  225.923385] usb 2-6: New USB device found, idVendor=1737, idProduct=0071
[  225.923394] usb 2-6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  225.923401] usb 2-6: Product: Dual-Band Wireless-N USB Network Adapter
[  225.923407] usb 2-6: Manufacturer: Cisco-Linksys LLC
[  225.923568] usb 2-6: configuration #1 chosen from 1 choice
[  225.926259] 
[  225.926261] 
[  225.926263] === pAd = f9cfa000, size = 566744 ===
[  225.926266] 
[  225.926271] <-- RTMPAllocAdapterBlock, Status=0
[  230.650167] usb 2-6: firmware: requesting rt2870.bin
[  230.945110] #
[  230.977482] #
[  231.009103] #
[  231.040845] #
[  231.073094] #
[  231.105091] #
[  231.136086] #
[  231.168081] #
[  231.200078] #
[  231.232198] #
[  231.237183] RTUSB_VendorRequest failed(-110),TxFlags=0x0, ReqType=OUT, Req=0x2, Index=0x400
[  231.237189] 	Request Value=0x0001!
[  231.238763] <-- RTMPAllocTxRxRingMemory, Status=0
[  231.240443] -->RTUSBVenderReset
[  231.240568] <--RTUSBVenderReset
[  231.518173] --> Error 2 opening /etc/Wireless/RT2870STA/RT2870STA.dat
[  231.518181] 1. Phy Mode = 0
[  231.518185] 2. Phy Mode = 0
[  231.547410] RTMPSetPhyMode: channel is out of range, use first channel=1 
[  231.557280] 3. Phy Mode = 0
[  231.570029] ERROR!!! H2M_MAILBOX still hold by MCU. command fail
[  231.583652] ERROR!!! H2M_MAILBOX still hold by MCU. command fail
[  231.596400] ERROR!!! H2M_MAILBOX still hold by MCU. command fail
[  231.609149] ERROR!!! H2M_MAILBOX still hold by MCU. command fail
[  231.610898] MCS Set = 00 00 00 00 00
[  231.632896] ERROR!!! H2M_MAILBOX still hold by MCU. command fail
[  231.632907] <==== RTMPInitialize, Status=0
[  231.634519] 0x1300 = 00073200
[  234.238181] Bulk Out MLME Failed, Status=-2!

And the wifi device doesn't work


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (200, 'testing'), (100, 'unstable'), (50, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/3 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

firmware-ralink depends on no packages.

firmware-ralink recommends no packages.

Versions of packages firmware-ralink suggests:
ii  initramfs-tools               0.93.4     tools for generating an initramfs
ii  linux-image-2.6.30-2-686 [lin 2.6.30-8   Linux 2.6.30 image on PPro/Celeron

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#553441; Package firmware-ralink. (Sat, 21 Nov 2009 12:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Andersson <erik@shareholder.se>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 21 Nov 2009 12:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 553441@bugs.debian.org (full text, mbox):

From: Erik Andersson <erik@shareholder.se>
To: 553441@bugs.debian.org
Subject: (ämne saknas)
Date: Sat, 21 Nov 2009 13:15:53 +0100
Getting a similar result using D-link DWA-140 USB wifi-device, using 
same chipset rt2870sta.
USB device shows no activitay (ie. blinking LED).

dmesg outputs:
[ 6095.462114] Bulk Out MLME Failed, Status=-2!
[ 6097.386147] Terminate the TimerQThr_pid=2392!
[ 6097.386193] Terminate the MLMEThr_pid=2390!
[ 6097.386216] Terminate the RTUSBCmdThr_pid=2391!
[ 6097.392538] ---> RTMPFreeTxRxRingMemory
[ 6097.392625] <--- ReleaseAdapter
[ 6107.677030] usb 1-7: firmware: requesting rt2870.bin
[ 6107.972110] #
[ 6108.004110] #
[ 6108.036103] #
[ 6108.068100] #
[ 6108.100097] #
[ 6108.132094] #
[ 6108.164092] #
[ 6108.196089] #
[ 6108.228084] #
[ 6108.260082] #
[ 6108.265056] RTUSB_VendorRequest failed(-110),TxFlags=0x0, 
ReqType=OUT, Req=0x2, Index=0x400
[ 6108.265062]  Request Value=0x0001!
[ 6108.267129] <-- RTMPAllocTxRxRingMemory, Status=0
[ 6108.269205] -->RTUSBVenderReset
[ 6108.269327] <--RTUSBVenderReset
[ 6108.545198] --> Error 2 opening /etc/Wireless/RT2870STA/RT2870STA.dat
[ 6108.545204] 1. Phy Mode = 0
[ 6108.545209] 2. Phy Mode = 0
[ 6108.584429] 3. Phy Mode = 0
[ 6108.588804] MCS Set = 00 00 00 00 00
[ 6108.598556] <==== RTMPInitialize, Status=0
[ 6108.600212] 0x1300 = 00073200
[ 6111.674144] Bulk Out MLME Failed, Status=-2!
[ 6113.682089] Bulk Out MLME Failed, Status=-2!
[ 6115.690158] Bulk Out MLME Failed, Status=-2!
[ 6117.698100] Bulk Out MLME Failed, Status=-2!
[ 6119.464009] ra0: no IPv6 routers present
[ 6119.706166] Bulk Out MLME Failed, Status=-2!

Sys:
Debian sqeeze Official Snapshot i386 kde-CD Binary-1 20091120-01:12
kernel: 2.6.30-2-686

/Erik




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#553441; Package firmware-ralink. (Mon, 07 Dec 2009 05:00:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Simmons <gsimmons@gsimmons.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 Dec 2009 05:00:20 GMT) Full text and rfc822 format available.

Message #15 received at 553441@bugs.debian.org (full text, mbox):

From: Geoff Simmons <gsimmons@gsimmons.org>
To: 553441@bugs.debian.org
Cc: Erik Andersson <erik@shareholder.se>
Subject: Re: Bug#553441: (ämne saknas)
Date: Mon, 7 Dec 2009 15:56:03 +1100
severity 553441 normal
thanks

On Sat, Nov 21, 2009 at 01:15:53PM +0100, Erik Andersson wrote:
> Getting a similar result using D-link DWA-140 USB wifi-device, using
> same chipset rt2870sta.
> USB device shows no activitay (ie. blinking LED).
[snip]
> Sys:
> Debian sqeeze Official Snapshot i386 kde-CD Binary-1 20091120-01:12
> kernel: 2.6.30-2-686

Erik's described issue was previously resolved on #debian (OFTC) by using
kernel 2.6.31-1-686.  There was no change involving the firmware as packaged.

Geoff




Severity set to 'normal' from 'important' Request was from Geoff Simmons <gsimmons@gsimmons.org> to control@bugs.debian.org. (Wed, 06 Jan 2010 07:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#553441; Package firmware-ralink. (Thu, 04 Mar 2010 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Dibowitz <phil@ipom.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Mar 2010 20:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 553441@bugs.debian.org (full text, mbox):

From: Phil Dibowitz <phil@ipom.com>
To: 553441@bugs.debian.org
Subject: "Firmware too old"
Date: Thu, 04 Mar 2010 21:25:23 +0100
[Message part 1 (text/plain, inline)]
I have a newer kernel: 2.6.32-3-686, and I'm getting:

  usb 1-1: firmware file rt2870.bin is too old; driver requires v12 or later
  ERROR!!! NICLoadFirmware failed, Status[=0x00000001]
  !!! RTxx70 Initialize fail !!!

And I have a 07d1:3c09 D-Link System DWA-140 802.11n


-- 
Phil Dibowitz                             phil@ipom.com
Open Source software and tech docs        Insanity Palace of Metallica
http://www.phildev.net/                   http://www.ipom.com/

"Be who you are and say what you feel, because those who mind don't matter
 and those who matter don't mind."
 - Dr. Seuss


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#553441; Package firmware-ralink. (Thu, 04 Mar 2010 22:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Mar 2010 22:36:09 GMT) Full text and rfc822 format available.

Message #27 received at 553441@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Phil Dibowitz <phil@ipom.com>, 553441@bugs.debian.org
Subject: Re: Bug#553441: "Firmware too old"
Date: Thu, 04 Mar 2010 22:33:30 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-03-04 at 21:25 +0100, Phil Dibowitz wrote:
> I have a newer kernel: 2.6.32-3-686, and I'm getting:
> 
>   usb 1-1: firmware file rt2870.bin is too old; driver requires v12 or later
>   ERROR!!! NICLoadFirmware failed, Status[=0x00000001]
>   !!! RTxx70 Initialize fail !!!
> 
> And I have a 07d1:3c09 D-Link System DWA-140 802.11n

This has nothing to do with this bug #553441.  However, it is a bug and
will be fixed in firmware-nonfree 0.23.

Ben.

-- 
Ben Hutchings
Q.  Which is the greater problem in the world today, ignorance or apathy?
A.  I don't know and I couldn't care less.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#553441; Package firmware-ralink. (Mon, 25 Oct 2010 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Oct 2010 22:24:03 GMT) Full text and rfc822 format available.

Message #32 received at 553441@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 553441-submitter@bugs.debian.org
Cc: 553441@bugs.debian.org
Subject: RE: firmware-ralink: Firmware not working with usb dongle rt2870sta
Date: Mon, 25 Oct 2010 15:22:39 -0700
Hi Dario,

Since you reported Debian bug #553441, newer firmware for your device is 
available in the firmware-ralink package, the vendor supplied 
staging/rt2870sta driver has been updated, and there is also the community 
supported rt2x00 based rt2800 driver available. Can you try a newer 
firmware-ralink and these updated drivers and report back?

Thanks,

-- 
Matt Taggart
taggart@debian.org






Message sent on to Dario Meloni <mellon85@gmail.com>:
Bug#553441. (Mon, 25 Oct 2010 22:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#553441; Package firmware-ralink. (Tue, 26 Oct 2010 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dario Meloni <mellon85@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Oct 2010 16:24:03 GMT) Full text and rfc822 format available.

Message #40 received at 553441@bugs.debian.org (full text, mbox):

From: Dario Meloni <mellon85@gmail.com>
To: Matt Taggart <taggart@debian.org>, 553441-quiet@bugs.debian.org
Cc: 553441-submitter@bugs.debian.org, 553441@bugs.debian.org
Subject: Re: Bug#553441: firmware-ralink: Firmware not working with usb dongle rt2870sta
Date: Tue, 26 Oct 2010 18:21:46 +0200
Unfortunately I don't have anymore that piece of hardware to test if
the bug has been resolved

2010/10/26 Matt Taggart <taggart@debian.org>:
> Hi Dario,
>
> Since you reported Debian bug #553441, newer firmware for your device is
> available in the firmware-ralink package, the vendor supplied
> staging/rt2870sta driver has been updated, and there is also the community
> supported rt2x00 based rt2800 driver available. Can you try a newer
> firmware-ralink and these updated drivers and report back?
>
> Thanks,
>
> --
> Matt Taggart
> taggart@debian.org
>
>
>
>
>



-- 
Dario Meloni




Information stored :
Bug#553441; Package firmware-ralink. (Tue, 26 Oct 2010 16:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dario Meloni <mellon85@gmail.com>:
Extra info received and filed, but not forwarded. (Tue, 26 Oct 2010 16:24:05 GMT) Full text and rfc822 format available.

Message sent on to Dario Meloni <mellon85@gmail.com>:
Bug#553441. (Tue, 26 Oct 2010 16:24:07 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Dario Meloni <mellon85@gmail.com> Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 17 May 2011 13:30:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 Jun 2011 07:36:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:08:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.